Subject: [ippm] Clarification on RFC5357 TWAMP Spec

From: [email-masked]
Date: Wed, 14 Apr 2010 15:15:41 +0200

Hi

In section 4.2, bottom of the page, the spec states "...The response MUST be generated as immediately as possible".

In section 4.2.1, first paragraph, the spec states "...The Session-Reflector SHOULD transmit the packets as immediately as possible".

I agree that a response MUST be generated for each received packet but can we leave the "immediate response" as a SHOULD? In other words, can we update the first statement and use a SHOULD in both sentences?

Thanks
Regards
Steve

---

From: Al Morton <[email-masked]>
Date: Wed, 14 Apr 2010 09:51:54 -0400

Steve,

The requirement shouldn't be in two places, and use two different
levels of requirement, so this might make a good Errata.

It's definitely MUST for a response, and that's all over the memo.
But "as immediately as possible"  leaves a lot of wiggle-room
and covers the unexpected to some degree.

Al

At 09:15 AM 4/14/2010, [email-masked] wrote:
>Hi
>
>In section 4.2, bottom of the page, the spec states "...The response 
>MUST be generated as immediately as possible".
>
>In section 4.2.1, first paragraph, the spec states "...The 
>Session-Reflector SHOULD transmit the packets as immediately as possible".
>
>I agree that a response MUST be generated for each received packet 
>but can we leave the "immediate response" as a SHOULD? In other 
>words, can we update the first statement and use a SHOULD in both sentences?
>
>Thanks
>Regards
>Steve
>
>_______________________________________________
>ippm mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ippm